/*
 * Copyright 2014 Canonical Ltd.
 *
 * This file is part of lomiri-sync-monitor.
 *
 * lomiri-sync-monitor is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * contact-service-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CONFIG_H__
#define __CONFIG_H__

#define PROVIDER_TEMPLATE_PATH          "@CMAKE_INSTALL_FULL_DATADIR@/lomiri-sync-monitor/templates"
#define GOOGLE_PROVIDER_NAME            "google"
#define CALENDAR_SERVICE_TYPE           "calendar"
#define CALENDAR_EDS_BACKEND            "Evolution Calendar"
#define GLOBAL_CONFIG_GROUP             "global"

#define GETTEXT_LOCALEDIR               "@CMAKE_INSTALL_FULL_LOCALEDIR@"
#define GETTEXT_PACKAGE                 "lomiri-sync-monitor"

// LOG
#define ACCOUNT_LOG_GROUP_FORMAT            "account_%1_%2/"
#define ACCOUNT_LOG_LAST_SYNC_RESULT        "last_sync_result"
#define ACCOUNT_LOG_LAST_SYNC_DATE          "last_sync_date"
#define ACCOUNT_LOG_LAST_SUCCESSFUL_DATE    "last_successful_date"
#define ACCOUNT_LOG_REMOTE_ID               "remoteId"

#endif
